import request from '@/utils/request'

// 查询检查类型列表
export function listCheckType(query) {
  return request({
    url: '/system/check-type/list',
    method: 'get',
    params: query
  })
}

// 查询检查类型详细
export function getCheckType(checkTypeId) {
  return request({
    url: '/system/check-type/' + checkTypeId,
    method: 'get'
  })
}

// 新增检查类型
export function addCheckType(data) {
  return request({
    url: '/system/check-type',
    method: 'post',
    data: data
  })
}

// 修改检查类型
export function updateCheckType(data) {
  return request({
    url: '/system/check-type',
    method: 'put',
    data: data
  })
}

// 删除检查类型
export function delCheckType(checkTypeId) {
  return request({
    url: '/system/check-type/' + checkTypeId,
    method: 'delete'
  })
}

// 查询检查方法列表
export function listCheckMethod(query) {
  return request({
    url: '/check/method/list',
    method: 'get',
    params: query
  })
}

// 搜索检查方法列表
export function searchCheckMethod(query) {
  return request({
    url: '/check/method/search',
    method: 'get',
    params: query
  })
}

// 新增检查方法
export function addCheckMethod(data) {
  return request({
    url: '/check/method/add',
    method: 'post',
    data: data
  })
}

// 修改检查方法
export function updateCheckMethod(data) {
  return request({
    url: '/check/method/update',
    method: 'put',
    data: data
  })
}

// 删除检查方法
export function delCheckMethod(checkMethodId) {
  return request({
    url: '/check/method/delete/' + checkMethodId,
    method: 'delete'
  })
}

// 导出检查方法
export function exportCheckMethod(query) {
  return request({
    url: '/check/method/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 导出检查部位
export function exportCheckPart(query) {
  return request({
    url: '/check/part/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 查询检查部位列表
export function listCheckPart(query) {
  return request({
    url: '/check/part/list',
    method: 'get',
    params: query
  })
}

// 搜索检查部位列表
export function searchCheckPart(query) {
  return request({
    url: '/check/part/search',
    method: 'get',
    params: query
  })
}


// 新增检查部位
export function addCheckPart(data) {
  return request({
    url: '/check/part/add',
    method: 'post',
    data: data
  })
}

// 删除检查部位
export function delCheckPart(checkPartId) {
  return request({
    url: '/check/part/delete/' + checkPartId,
    method: 'delete'
  })
}

// 更新检查部位
export function updateCheckPart(data) {
  return request({
    url: '/check/part/update',
    method: 'put',
    data: data
  })
}

// 查询检查套餐列表
export function listCheckPackage(query) {
  return request({
    url: '/system/check-package/list',
    method: 'get',
    params: query
  })
}

// 根据ID查询检查套餐详情
export function getCheckPackage(id) {
  return request({
    url: `/system/check-package/${id}`,
    method: 'get'
  })
}

// 新增检查套餐
export function addCheckPackage(data) {
  return request({
    url: '/system/check-package',
    method: 'post',
    data: data
  })
}

// 修改检查套餐
export function updateCheckPackage(data) {
  return request({
    url: '/system/check-package',
    method: 'put',
    data: data
  })
}

// 删除检查套餐
export function delCheckPackage(id) {
  return request({
    url: `/system/check-package/${id}`,
    method: 'delete'
  })
}

// 查询LIS分组列表
export function listLisGroup(query) {
  return request({
    url: '/check/lisGroupInfo/list',
    method: 'get',
    params: query
  })
}

// 根据ID查询LIS分组详情
export function getLisGroup(id) {
  return request({
    url: `/check/lisGroupInfo/${id}`,
    method: 'get'
  })
}

// 新增LIS分组
export function addLisGroup(data) {
  return request({
    url: '/check/lisGroupInfo/add',
    method: 'post',
    data: data
  })
}

// 修改LIS分组
export function updateLisGroup(data) {
  return request({
    url: '/check/lisGroupInfo/update',
    method: 'put',
    data: data
  })
}

// 删除LIS分组
export function delLisGroup(id) {
  return request({
    url: `/check/lisGroupInfo/${id}`,
    method: 'delete'
  })
}